Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1696296 - [OSP15][Undercloud] undercloud_debug = false in undercloud.conf doesn't affects to /var/log/containers/stdouts/nova_cellv2_discover_hosts.log
Summary: [OSP15][Undercloud] undercloud_debug = false in undercloud.conf doesn't affe...
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 15.0 (Stein)
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ga
: ---
Assignee: RHOS Maint
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 13:16 UTC by Artem Hrechanychenko
Modified: 2019-04-11 15:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
log files (deleted)
2019-04-04 13:19 UTC, Artem Hrechanychenko
no flags Details

Description Artem Hrechanychenko 2019-04-04 13:16:43 UTC
Description of problem:

Red Hat OpenStack Platform release 15.0.0 Beta (Rocky)

RHOS_TRUNK-15.0-RHEL-8-20190403.n.0

OSP15 undercloud.conf
undercloud.conf 
[DEFAULT]
# Network interface on the Undercloud that will be handling the PXE
# boots and DHCP for Overcloud instances. (string value)
local_interface = eth0
local_ip = 192.168.24.1/24
undercloud_public_host = 192.168.24.2
undercloud_admin_host = 192.168.24.3
#TODO: use release >= 10 when RHBZ#1633193 is resolved
undercloud_ntp_servers=clock.redhat.com
container_images_file=/home/stack/containers-prepare-parameter.yaml
container_insecure_registries=brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888
undercloud_debug = false
undercloud_service_certificate = /etc/pki/instack-certs/undercloud.pem
hieradata_override = /home/stack/hiera_override.yaml
[ctlplane-subnet]
local_subnet = ctlplane-subnet
cidr = 192.168.24.0/24
dhcp_start = 192.168.24.5
dhcp_end = 192.168.24.24
gateway = 192.168.24.1
inspection_iprange = 192.168.24.100,192.168.24.120
masquerade = true
#TODO(skatlapa): add param to override masq

sudo grep "DEBUG" -R /var/log/containers
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.909158493-04:00 stdout F DEBUG:nova_cell_v2_discover_host:Running with parameter insecure = True
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.957129554-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v1password = swiftclient.authv1:PasswordLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('token_endpoint = openstackclient.api.auth_plugin:TokenEndpoint')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('noauth = cinderclient.contrib.noauth:CinderNoAuthLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('admin_token = keystoneauth1.loading._plugins.admin_token:AdminToken')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('none = keystoneauth1.loading._plugins.noauth:NoAuth')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('password = keystoneauth1.loading._plugins.identity.generic:Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958189372-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('token = keystoneauth1.loading._plugins.identity.generic:Token')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958250211-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v2password = keystoneauth1.loading._plugins.identity.v2:Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958302592-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v2token = keystoneauth1.loading._plugins.identity.v2:Token')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958327597-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3adfspassword = keystoneauth1.extras._saml2._loading:ADFSPassword')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958384459-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3applicationcredential = keystoneauth1.loading._plugins.identity.v3:ApplicationCredential')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958405188-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3fedkerb = keystoneauth1.extras.kerberos._loading:MappedKerberos')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958479324-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3kerberos = keystoneauth1.extras.kerberos._loading:Kerberos')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958479324-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oauth1 = keystoneauth1.extras.oauth1._loading:V3OAuth1')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958579129-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcaccesstoken = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectAccessToken')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958579129-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcauthcode = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectAuthorizationCode')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958579129-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcclientcredentials = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectClientCredentials')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958671767-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcpassword = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectPassword')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958671767-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3password = keystoneauth1.loading._plugins.identity.v3:Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958696796-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3samlpassword = keystoneauth1.extras._saml2._loading:Saml2Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958714076-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3token = keystoneauth1.loading._plugins.identity.v3:Token')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958756524-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3tokenlessauth = keystoneauth1.loading._plugins.identity.v3:TokenlessAuth')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958793175-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3totp = keystoneauth1.loading._plugins.identity.v3:TOTP')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958836365-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('gnocchi-basic = gnocchiclient.auth:GnocchiBasicLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958853931-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('gnocchi-noauth = gnocchiclient.auth:GnocchiNoAuthLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958934734-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('aodh-noauth = aodhclient.noauth:AodhNoAuthLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.985632750-04:00 stdout F DEBUG:keystoneauth.session:REQ: curl -g -i -X GET http://192.168.24.3:5000/v3 -H "Accept: application/json" -H "User-Agent: nova_cell_v2_discover_host.py keystoneauth1/3.13.1 python-requests/2.20.0 CPython/3.6.8"
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.987756239-04:00 stdout F DEBUG:urllib3.connectionpool:Starting new HTTP connection (1): 192.168.24.3:5000
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.991677567-04:00 stdout F DEBUG:urllib3.connectionpool:http://192.168.24.3:5000 "GET /v3 HTTP/1.1" 200 None
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992211946-04:00 stdout F DEBUG:keystoneauth.session:RESP: [200] Content-Encoding: gzip Content-Type: application/json Date: Wed, 03 Apr 2019 12:47:10 GMT Server: Apache Transfer-Encoding: chunked Vary: X-Auth-Token,Accept-Encoding x-openstack-request-id: req-69fc95bf-70e0-4ff8-9667-3eaa99f2a85e
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992341190-04:00 stdout F DEBUG:keystoneauth.session:RESP BODY: {"version": {"id": "v3.12", "status": "stable", "updated": "2019-01-22T00:00:00Z", "links": [{"rel": "self", "href": "http://192.168.24.3:5000/v3/"}], "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v3+json"}]}}
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992417823-04:00 stdout F DEBUG:keystoneauth.session:GET call to http://192.168.24.3:5000/v3 used request id req-69fc95bf-70e0-4ff8-9667-3eaa99f2a85e
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992926206-04:00 stdout F DEBUG:keystoneauth.identity.v3.base:Making authentication request to http://192.168.24.3:5000/v3/auth/tokens
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.399660367-04:00 stdout F DEBUG:urllib3.connectionpool:http://192.168.24.3:5000 "POST /v3/auth/tokens HTTP/1.1" 201 8164
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.400316644-04:00 stdout P DEBUG:keystoneauth.identity.v3.base:{"token": {"methods": ["password"], "user": {"domain": {"id": "default", "name": "Default"}, "id": "e89aa4cdc84247a0b6f559c708c65900", "name": "neutron", "password_expires_at": null}, "audit_ids": ["bjs_ai0vTMydbmO1sNcEog"], "expires_at": "2019-04-03T16:47:11.000000Z", "issued_at": "2019-04-03T12:47:11.000000Z", "project": {"domain": {"id": "default", "name": "Default"}, "id": "ed3e3997622a4e50b0270515661698a0", "name": "service"}, "is_domain": false, "roles": [{"id": "2abfa30939014b81a16f27bc332f45d1", "name": "reader"}, {"id": "8b75f4495cb742848523702fac153bc7", "name": "admin"}, {"id": "640427da07894e3791bf21222097fabb", "name": "member"}], "catalog": [{"endpoints": [{"id": "be08dd13693044e4a5309fb52785b0a3", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13385", "region": "regionOne"}, {"id": "bf86c61caf61494fb7da5f0abf7a5c69", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:6385", "region": "regionOne"}, {"id": "eac89c14d5dd4bc0ae81910ed96b7da6", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:6385", "region": "regionOne"}], "id": "0eae444c01174ec5a32e488182c57818", "type": "baremetal", "name": "ironic"}, {"endpoints": [{"id": "1630e8e678b74be5be355a1fac30a39e", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13004/v1/ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}, {"id": "9bc3fc0e1a4e423ca62732195ce19e61", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8004/v1/ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}, {"id": "d1a38c4dd3c043caad80d0a0e1013d06", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8004/v1/ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}], "id": "3da9985d03a04a0998a9c6a7fc29fec0", "type": "orchestration", "name": "heat"}, {"endpoints": [{"id": "336ab0407e8443aa86da886d89996a64", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13000", "region": "regionOne"}, {"id": "498c327d8cce457da01fce2ec0763adc", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:35357", "region": "regionOne"}, {"id": "4d98f386dc4a40669cec8baceba24a9b", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:5000", "region": "regionOne"}], "id": "4414c803e3924f97a09e6a02692b7c0b", "type": "identity", "name": "keystone"}, {"endpoints": [{"id": "331215d1bf164362a51a7de0805194fe", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8774/v2.1", "region": "regionOne"}, {"id": "362a4ceece8241f2957ea04d58cb398b", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8774/v2.1", "region": "regionOne"}, {"id": "978a3414f8014631b61096f84d0e4306", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13774/v2.1", "region": "regionOne"}], "id": "448a1b7df0eb4b0fb7f2e242d194ab79", "type": "compute", "name": "nova"}, {"endpoints": [{"id": "05a484b8aea1485d94af5bf69781dfd3", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8080/v1/AUTH_ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}, {"id": "75bf536f7c4a40f2ae9d93c54d423527", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8080", "region": "regionOne"}, {"id": "acfe515d77044280ba5720cf1d5bc174", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13808/v1/AUTH_ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}], "id": "5cad7be26699464da3f5cff071a567ba", "type": "object-store", "name": "swift"}, {"endpoints": [{"id": "36a66928e89047d8a56adc76dc939550", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8989/v2", "region": "regionOne"}, {"id": "7f969e7faeb445bc8f6c3c79f9768975", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13989/v2", "region": "regionOne"}, {"id": "c4aca2d209ef4fa186729586b2bffb26", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8989/v2", "region": "regionOne"}], "id": "5e5b668ce4484a419eea6d2755862f09", "type": "workflowv2", "name": "mistral"}, {"endpoints": [{"id": "4c4695b347d74c64a3703072ff410801", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13696", "region": "regionOne"}, {"id": "6527e0646a934eac8a547ecc18435aa3", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:9696", "region": "regionOne"}, {"id": "762682ce41514e399d2fc49ece178de5", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:9696", "region": "regionOne"}], "id": "6b61ec5d7de847b0a3ce6f29bd0fb105", "type": "network", "name": "neutron"}, {"endpoints": [{"id": "68e268a059774df3be82bb3919234e82", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8888", "region": "regionOne"}, {"id": "ccb4d4d0f8fb45b2b9550f541c12e631", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13888", "region": "regionOne"}, {"id": "dcd2efbfa4f14d43af14386278a71bdc", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8888", "region": "regionOne"}], "id": "7e337473ac094a6c97ac081ce8c78b18", "type": "messaging", "name": "zaqar"}, {"endpoints": [{"id": "57caed13b6fd4a25b8d02ea3bdb9ca3b", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13050", "region": "regionOne"}, {"id": "8a87a737d6184260a86cfb9a2d2898a1", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:5050", "region": "regionOne"}, {"id": "93f40b1f512f4c3985ba862446557e4e", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:5050", "region": "regionOne"}], "id": "a09554d7a0b842b3b960e2d5c9b5a077", "type": "baremetal-introspection", "name": "ironic-inspector"}, {"endpoints": [{"id": "33e7d71292984e76a6e2611d287a5c3e", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8778/placement", "region": "regionOne"}, {"id": "c9eb554ffef3450eb362b70ea5cd0c7f", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8778/placement", "region": "regionOne"}, {"id": "d41478eea4c44fcaa9b8df5141863714", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13778/placement", "region": "regionOne"}], "id": "ae5e6f9feca446a1a20210937cff2f83", "type": "placement", "name": "placement"}, {"endpoints": [{"id": "08bc8ca3f9524d8fa42c717ca7c8070a", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13292", "region": "regionOne"}, {"id": "8ce29c9b83e84b02a54b606311e67673", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:9292", "region": "regionOne"}, {"id": "c58847bf06b04c2592706ab34714b24c", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:9292", "region": "regionOne"}], "id": "b3b584e7e1c84141947bc836b4d04214", "type": "image", "name": "glance"}, {"endpoints": [{"id": "31bbfc1f237d47ac801b065e3d38a31e", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8000/v1", "region": "regionOne"}, {"id": "4eecf2ab82484fc09fdaabb0ec652e7a", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8000/v1", "region": "regionOne"}, {"id": "ef9c69db7bf746e684433b949f829337", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13005/v1", "region": "regionOne"}], "id": "bb675cde66024512b910cbbd618b4e3d", "type": "cloudformation", "name": "heat-cfn"}, {"endpoints": [{"id": "339f1dfb63c24416ac6cf9aeb8891e7e", "interface": "admin", "region_id": "regionOne", "url": "ws://192.168.24.3:9000", "region": "regionOne"}, {"id": "a0e3c983f79249109bc2ea27f1ea5e90", "interface": "internal", "region_id": "regionOne", "url": "ws://192.168.24.3:9000", "region": "regionOne"}, {"id": "b2e9ae42d2404f7ba44a7c412ac1ceaa", "interface": "public", "region_id": "regionOne", "url": "wss://192.168.24.2:9000", "region": "regionOne"}], "id": "e87d23b30d4f49faba5beb6a6910d9c3", "type": "messaging-websocket", "name": "zaqar-websoc
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.401381606-04:00 stdout F DEBUG:keystoneauth.session:REQ: curl -g -i -X GET http://192.168.24.3:8774/v2.1/os-services?binary=nova-compute -H "Accept: application/json" -H "User-Agent: python-novaclient" -H "X-Auth-Token: {SHA256}e565b50cb089f7a4d1eb4517c81234ded661ca8bc857d02b52e98160c96b57d9" -H "X-OpenStack-Nova-API-Version: 2.11"
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.402133933-04:00 stdout F DEBUG:urllib3.connectionpool:Starting new HTTP connection (1): 192.168.24.3:8774
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.147170165-04:00 stdout F DEBUG:urllib3.connectionpool:http://192.168.24.3:8774 "GET /v2.1/os-services?binary=nova-compute HTTP/1.1" 200 None
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.147746322-04:00 stdout F DEBUG:keystoneauth.session:RESP: [200] Content-Encoding: gzip Content-Type: application/json Date: Wed, 03 Apr 2019 12:47:11 GMT OpenStack-API-Version: compute 2.11 Server: Apache Transfer-Encoding: chunked Vary: OpenStack-API-Version,X-OpenStack-Nova-API-Version,Accept-Encoding X-OpenStack-Nova-API-Version: 2.11 x-compute-request-id: req-aba3d404-3668-467b-8af1-41d9f8d96ca5 x-openstack-request-id: req-aba3d404-3668-467b-8af1-41d9f8d96ca5
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.147918247-04:00 stdout F DEBUG:keystoneauth.session:RESP BODY: {"services": [{"binary": "nova-compute", "host": "undercloud-0.localdomain", "id": 5, "zone": "nova", "status": "enabled", "state": "up", "updated_at": "2019-04-03T12:47:08.000000", "disabled_reason": null, "forced_down": false}]}
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.148027237-04:00 stdout F DEBUG:keystoneauth.session:GET call to compute for http://192.168.24.3:8774/v2.1/os-services?binary=nova-compute used request id req-aba3d404-3668-467b-8af1-41d9f8d96ca5
[stack@undercloud-0 ~]$ sudo grep "DEBUG" -R /var/log/containers
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.909158493-04:00 stdout F DEBUG:nova_cell_v2_discover_host:Running with parameter insecure = True
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.957129554-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v1password = swiftclient.authv1:PasswordLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('token_endpoint = openstackclient.api.auth_plugin:TokenEndpoint')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('noauth = cinderclient.contrib.noauth:CinderNoAuthLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('admin_token = keystoneauth1.loading._plugins.admin_token:AdminToken')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('none = keystoneauth1.loading._plugins.noauth:NoAuth')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958140874-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('password = keystoneauth1.loading._plugins.identity.generic:Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958189372-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('token = keystoneauth1.loading._plugins.identity.generic:Token')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958250211-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v2password = keystoneauth1.loading._plugins.identity.v2:Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958302592-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v2token = keystoneauth1.loading._plugins.identity.v2:Token')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958327597-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3adfspassword = keystoneauth1.extras._saml2._loading:ADFSPassword')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958384459-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3applicationcredential = keystoneauth1.loading._plugins.identity.v3:ApplicationCredential')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958405188-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3fedkerb = keystoneauth1.extras.kerberos._loading:MappedKerberos')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958479324-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3kerberos = keystoneauth1.extras.kerberos._loading:Kerberos')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958479324-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oauth1 = keystoneauth1.extras.oauth1._loading:V3OAuth1')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958579129-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcaccesstoken = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectAccessToken')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958579129-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcauthcode = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectAuthorizationCode')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958579129-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcclientcredentials = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectClientCredentials')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958671767-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3oidcpassword = keystoneauth1.loading._plugins.identity.v3:OpenIDConnectPassword')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958671767-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3password = keystoneauth1.loading._plugins.identity.v3:Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958696796-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3samlpassword = keystoneauth1.extras._saml2._loading:Saml2Password')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958714076-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3token = keystoneauth1.loading._plugins.identity.v3:Token')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958756524-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3tokenlessauth = keystoneauth1.loading._plugins.identity.v3:TokenlessAuth')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958793175-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('v3totp = keystoneauth1.loading._plugins.identity.v3:TOTP')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958836365-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('gnocchi-basic = gnocchiclient.auth:GnocchiBasicLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958853931-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('gnocchi-noauth = gnocchiclient.auth:GnocchiNoAuthLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.958934734-04:00 stdout F DEBUG:stevedore.extension:found extension EntryPoint.parse('aodh-noauth = aodhclient.noauth:AodhNoAuthLoader')
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.985632750-04:00 stdout F DEBUG:keystoneauth.session:REQ: curl -g -i -X GET http://192.168.24.3:5000/v3 -H "Accept: application/json" -H "User-Agent: nova_cell_v2_discover_host.py keystoneauth1/3.13.1 python-requests/2.20.0 CPython/3.6.8"
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.987756239-04:00 stdout F DEBUG:urllib3.connectionpool:Starting new HTTP connection (1): 192.168.24.3:5000
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.991677567-04:00 stdout F DEBUG:urllib3.connectionpool:http://192.168.24.3:5000 "GET /v3 HTTP/1.1" 200 None
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992211946-04:00 stdout F DEBUG:keystoneauth.session:RESP: [200] Content-Encoding: gzip Content-Type: application/json Date: Wed, 03 Apr 2019 12:47:10 GMT Server: Apache Transfer-Encoding: chunked Vary: X-Auth-Token,Accept-Encoding x-openstack-request-id: req-69fc95bf-70e0-4ff8-9667-3eaa99f2a85e
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992341190-04:00 stdout F DEBUG:keystoneauth.session:RESP BODY: {"version": {"id": "v3.12", "status": "stable", "updated": "2019-01-22T00:00:00Z", "links": [{"rel": "self", "href": "http://192.168.24.3:5000/v3/"}], "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v3+json"}]}}
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992417823-04:00 stdout F DEBUG:keystoneauth.session:GET call to http://192.168.24.3:5000/v3 used request id req-69fc95bf-70e0-4ff8-9667-3eaa99f2a85e
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:10.992926206-04:00 stdout F DEBUG:keystoneauth.identity.v3.base:Making authentication request to http://192.168.24.3:5000/v3/auth/tokens
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.399660367-04:00 stdout F DEBUG:urllib3.connectionpool:http://192.168.24.3:5000 "POST /v3/auth/tokens HTTP/1.1" 201 8164
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.400316644-04:00 stdout P DEBUG:keystoneauth.identity.v3.base:{"token": {"methods": ["password"], "user": {"domain": {"id": "default", "name": "Default"}, "id": "e89aa4cdc84247a0b6f559c708c65900", "name": "neutron", "password_expires_at": null}, "audit_ids": ["bjs_ai0vTMydbmO1sNcEog"], "expires_at": "2019-04-03T16:47:11.000000Z", "issued_at": "2019-04-03T12:47:11.000000Z", "project": {"domain": {"id": "default", "name": "Default"}, "id": "ed3e3997622a4e50b0270515661698a0", "name": "service"}, "is_domain": false, "roles": [{"id": "2abfa30939014b81a16f27bc332f45d1", "name": "reader"}, {"id": "8b75f4495cb742848523702fac153bc7", "name": "admin"}, {"id": "640427da07894e3791bf21222097fabb", "name": "member"}], "catalog": [{"endpoints": [{"id": "be08dd13693044e4a5309fb52785b0a3", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13385", "region": "regionOne"}, {"id": "bf86c61caf61494fb7da5f0abf7a5c69", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:6385", "region": "regionOne"}, {"id": "eac89c14d5dd4bc0ae81910ed96b7da6", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:6385", "region": "regionOne"}], "id": "0eae444c01174ec5a32e488182c57818", "type": "baremetal", "name": "ironic"}, {"endpoints": [{"id": "1630e8e678b74be5be355a1fac30a39e", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13004/v1/ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}, {"id": "9bc3fc0e1a4e423ca62732195ce19e61", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8004/v1/ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}, {"id": "d1a38c4dd3c043caad80d0a0e1013d06", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8004/v1/ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}], "id": "3da9985d03a04a0998a9c6a7fc29fec0", "type": "orchestration", "name": "heat"}, {"endpoints": [{"id": "336ab0407e8443aa86da886d89996a64", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13000", "region": "regionOne"}, {"id": "498c327d8cce457da01fce2ec0763adc", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:35357", "region": "regionOne"}, {"id": "4d98f386dc4a40669cec8baceba24a9b", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:5000", "region": "regionOne"}], "id": "4414c803e3924f97a09e6a02692b7c0b", "type": "identity", "name": "keystone"}, {"endpoints": [{"id": "331215d1bf164362a51a7de0805194fe", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8774/v2.1", "region": "regionOne"}, {"id": "362a4ceece8241f2957ea04d58cb398b", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8774/v2.1", "region": "regionOne"}, {"id": "978a3414f8014631b61096f84d0e4306", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13774/v2.1", "region": "regionOne"}], "id": "448a1b7df0eb4b0fb7f2e242d194ab79", "type": "compute", "name": "nova"}, {"endpoints": [{"id": "05a484b8aea1485d94af5bf69781dfd3", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8080/v1/AUTH_ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}, {"id": "75bf536f7c4a40f2ae9d93c54d423527", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8080", "region": "regionOne"}, {"id": "acfe515d77044280ba5720cf1d5bc174", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13808/v1/AUTH_ed3e3997622a4e50b0270515661698a0", "region": "regionOne"}], "id": "5cad7be26699464da3f5cff071a567ba", "type": "object-store", "name": "swift"}, {"endpoints": [{"id": "36a66928e89047d8a56adc76dc939550", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8989/v2", "region": "regionOne"}, {"id": "7f969e7faeb445bc8f6c3c79f9768975", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13989/v2", "region": "regionOne"}, {"id": "c4aca2d209ef4fa186729586b2bffb26", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8989/v2", "region": "regionOne"}], "id": "5e5b668ce4484a419eea6d2755862f09", "type": "workflowv2", "name": "mistral"}, {"endpoints": [{"id": "4c4695b347d74c64a3703072ff410801", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13696", "region": "regionOne"}, {"id": "6527e0646a934eac8a547ecc18435aa3", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:9696", "region": "regionOne"}, {"id": "762682ce41514e399d2fc49ece178de5", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:9696", "region": "regionOne"}], "id": "6b61ec5d7de847b0a3ce6f29bd0fb105", "type": "network", "name": "neutron"}, {"endpoints": [{"id": "68e268a059774df3be82bb3919234e82", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8888", "region": "regionOne"}, {"id": "ccb4d4d0f8fb45b2b9550f541c12e631", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13888", "region": "regionOne"}, {"id": "dcd2efbfa4f14d43af14386278a71bdc", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8888", "region": "regionOne"}], "id": "7e337473ac094a6c97ac081ce8c78b18", "type": "messaging", "name": "zaqar"}, {"endpoints": [{"id": "57caed13b6fd4a25b8d02ea3bdb9ca3b", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13050", "region": "regionOne"}, {"id": "8a87a737d6184260a86cfb9a2d2898a1", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:5050", "region": "regionOne"}, {"id": "93f40b1f512f4c3985ba862446557e4e", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:5050", "region": "regionOne"}], "id": "a09554d7a0b842b3b960e2d5c9b5a077", "type": "baremetal-introspection", "name": "ironic-inspector"}, {"endpoints": [{"id": "33e7d71292984e76a6e2611d287a5c3e", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8778/placement", "region": "regionOne"}, {"id": "c9eb554ffef3450eb362b70ea5cd0c7f", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8778/placement", "region": "regionOne"}, {"id": "d41478eea4c44fcaa9b8df5141863714", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13778/placement", "region": "regionOne"}], "id": "ae5e6f9feca446a1a20210937cff2f83", "type": "placement", "name": "placement"}, {"endpoints": [{"id": "08bc8ca3f9524d8fa42c717ca7c8070a", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13292", "region": "regionOne"}, {"id": "8ce29c9b83e84b02a54b606311e67673", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:9292", "region": "regionOne"}, {"id": "c58847bf06b04c2592706ab34714b24c", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:9292", "region": "regionOne"}], "id": "b3b584e7e1c84141947bc836b4d04214", "type": "image", "name": "glance"}, {"endpoints": [{"id": "31bbfc1f237d47ac801b065e3d38a31e", "interface": "admin", "region_id": "regionOne", "url": "http://192.168.24.3:8000/v1", "region": "regionOne"}, {"id": "4eecf2ab82484fc09fdaabb0ec652e7a", "interface": "internal", "region_id": "regionOne", "url": "http://192.168.24.3:8000/v1", "region": "regionOne"}, {"id": "ef9c69db7bf746e684433b949f829337", "interface": "public", "region_id": "regionOne", "url": "https://192.168.24.2:13005/v1", "region": "regionOne"}], "id": "bb675cde66024512b910cbbd618b4e3d", "type": "cloudformation", "name": "heat-cfn"}, {"endpoints": [{"id": "339f1dfb63c24416ac6cf9aeb8891e7e", "interface": "admin", "region_id": "regionOne", "url": "ws://192.168.24.3:9000", "region": "regionOne"}, {"id": "a0e3c983f79249109bc2ea27f1ea5e90", "interface": "internal", "region_id": "regionOne", "url": "ws://192.168.24.3:9000", "region": "regionOne"}, {"id": "b2e9ae42d2404f7ba44a7c412ac1ceaa", "interface": "public", "region_id": "regionOne", "url": "wss://192.168.24.2:9000", "region": "regionOne"}], "id": "e87d23b30d4f49faba5beb6a6910d9c3", "type": "messaging-websocket", "name": "zaqar-websoc
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.401381606-04:00 stdout F DEBUG:keystoneauth.session:REQ: curl -g -i -X GET http://192.168.24.3:8774/v2.1/os-services?binary=nova-compute -H "Accept: application/json" -H "User-Agent: python-novaclient" -H "X-Auth-Token: {SHA256}e565b50cb089f7a4d1eb4517c81234ded661ca8bc857d02b52e98160c96b57d9" -H "X-OpenStack-Nova-API-Version: 2.11"
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:11.402133933-04:00 stdout F DEBUG:urllib3.connectionpool:Starting new HTTP connection (1): 192.168.24.3:8774
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.147170165-04:00 stdout F DEBUG:urllib3.connectionpool:http://192.168.24.3:8774 "GET /v2.1/os-services?binary=nova-compute HTTP/1.1" 200 None
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.147746322-04:00 stdout F DEBUG:keystoneauth.session:RESP: [200] Content-Encoding: gzip Content-Type: application/json Date: Wed, 03 Apr 2019 12:47:11 GMT OpenStack-API-Version: compute 2.11 Server: Apache Transfer-Encoding: chunked Vary: OpenStack-API-Version,X-OpenStack-Nova-API-Version,Accept-Encoding X-OpenStack-Nova-API-Version: 2.11 x-compute-request-id: req-aba3d404-3668-467b-8af1-41d9f8d96ca5 x-openstack-request-id: req-aba3d404-3668-467b-8af1-41d9f8d96ca5
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.147918247-04:00 stdout F DEBUG:keystoneauth.session:RESP BODY: {"services": [{"binary": "nova-compute", "host": "undercloud-0.localdomain", "id": 5, "zone": "nova", "status": "enabled", "state": "up", "updated_at": "2019-04-03T12:47:08.000000", "disabled_reason": null, "forced_down": false}]}
/var/log/containers/stdouts/nova_cellv2_discover_hosts.log:2019-04-03T08:47:12.148027237-04:00 stdout F DEBUG:keystoneauth.session:GET call to compute for http://192.168.24.3:8774/v2.1/os-services?binary=nova-compute used request id req-aba3d404-3668-467b-8af1-41d9f8d96ca5

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-10.4.1-0.20190403000356.0596bda.el8ost.noarch
openstack-heat-api-12.0.0-0.20190402172231.8fa8cc3.el8ost.noarch
python-openstackclient-lang-3.18.0-0.20190312140834.6868499.el8ost.noarch
openstack-tripleo-common-containers-10.6.1-0.20190403010356.ee080a6.el8ost.noarch
openstack-tripleo-image-elements-10.3.1-0.20190325204940.253fe88.el8ost.noarch
puppet-openstack_extras-14.4.1-0.20190325175002.c359e56.el8ost.noarch
puppet-openstacklib-14.4.1-0.20190329010338.a66eb94.el8ost.noarch
python3-openstackclient-3.18.0-0.20190312140834.6868499.el8ost.noarch
openstack-heat-common-12.0.0-0.20190402172231.8fa8cc3.el8ost.noarch
openstack-heat-monolith-12.0.0-0.20190402172231.8fa8cc3.el8ost.noarch
openstack-tripleo-validations-10.3.1-0.20190403071532.1803506.el8ost.noarch
openstack-tripleo-common-10.6.1-0.20190403010356.ee080a6.el8ost.noarch
python3-openstacksdk-0.26.0-0.20190312204647.feae8da.el8ost.noarch
openstack-selinux-0.8.18-0.20190329040328.4c5ed0f.el8ost.noarch
openstack-tripleo-puppet-elements-10.2.1-0.20190327211339.0f6cacb.el8ost.noarch
openstack-tripleo-heat-templates-10.4.1-0.20190403000356.0596bda.el8ost.noarch
openstack-heat-engine-12.0.0-0.20190402172231.8fa8cc3.el8ost.noarch
openstack-heat-agents-1.8.1-0.20190402070337.ad2a5d1.el8ost.noarch
python3-tripleoclient-11.3.1-0.20190402150355.0132e7d.el8ost.noarch

How reproducible:
always

Steps to Reproduce:
1.Deploy OSP15 undercloud with undercloud_debug = false for undercloud.conf
2.check for "DEBUG" messages in /var/log/containers


Actual results:
42 entries for DEBUG in var/log/containers/stdouts/nova_cellv2_discover_hosts.log

Expected results:
0 entries

Additional info:

Comment 2 Artem Hrechanychenko 2019-04-04 13:19:45 UTC
Created attachment 1551889 [details]
log files

Comment 4 Martin Schuppert 2019-04-04 14:41:00 UTC
The nova container_config_scripts log as DEBUG per default, e.g [1]. Those scripts run only once for the deployment and do not create huge amount of information.
We really want the information in the first run if there is an issue to not have to rerun things with set debug. We'll review what is being logged and move the
output to a different log level as we want the info always.


https://github.com/openstack/tripleo-heat-templates/blob/master/container_config_scripts/nova_cell_v2_discover_host.py#L34


Note You need to log in before you can comment on or make changes to this bug.